Real Time Open Sound Control librtosc: rtosc::RtData Struct Reference

Real Time Open Sound Control librtosc

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
rtosc::RtData Struct Reference

data object for the dispatch routine More...

`#include <ports.h>`

## Public Member Functions
void | push_index (int ind)
void | pop_index (void)
virtual void | replyArray (const char *path, const char *args, rtosc_arg_t *vals)
virtual void | reply (const char *path, const char *args,...)
virtual void | reply (const char *msg)
| Reply if information has been requested.
virtual void | chain (const char *path, const char *args,...)
virtual void | chain (const char *msg)
| Bypass message to some kind of backend if the message can not be handled.
virtual void | chainArray (const char *path, const char *args, rtosc_arg_t *vals)
virtual void | broadcast (const char *path, const char *args,...)
| Transmit initialization/change of a value to all listeners.
virtual void | broadcast (const char *msg)
virtual void | broadcastArray (const char *path, const char *args, rtosc_arg_t *vals)
virtual void | forward (const char *rational=NULL)

## Public Attributes
char * | loc
| Location of where the dispatch routine is currently being called.
size_t | loc_size
void * | obj
| runtime object to dispatch this object to
int | matches
| number of matches returned from dispatch routine
const Port * | port
| dispatch will write the matching port's pointer here
const char * | message
| Will be set to point to the full OSC message in case of a base dispatch.
int | idx [16]

## Detailed Description

data object for the dispatch routine

## Member Data Documentation

## ◆ loc

char* rtosc::RtData::loc

Location of where the dispatch routine is currently being called.

If non-NULL, the dispatch routine will update the port name here while walking through the Ports tree

The documentation for this struct was generated from the following file:

- /build/rtosc/src/rtosc-0.3.1/include/rtosc/ports.h